<?php

if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', '../../');

require FORUM_ROOT.'include/common.php';
require FORUM_ROOT.'include/common_admin.php';

if ($forum_user['g_id'] != FORUM_ADMIN)
	message($lang_common['No permission']);

($hook = get_hook('pan_uploader_images_start')) ? eval($hook) : null;

$sort_by = isset($_GET['sort_by']) ? $_GET['sort_by'] : 'loaded_desc';
$cur_page = isset($_GET['p'])  ? ('&p='.$_GET['p']) : '';

// Load the admin.php language files
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_common.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_index.php';

if (file_exists(FORUM_ROOT.'extensions/pan_uploader/lang/'.$forum_user['language'].'/pan_uploader.php'))
	require FORUM_ROOT.'extensions/pan_uploader/lang/'.$forum_user['language'].'/pan_uploader.php';
else
	require FORUM_ROOT.'extensions/pan_uploader/lang/English/pan_uploader.php';

$query = array(
	'SELECT'	=> 'id',
	'FROM'		=> 'uploaded_files',
	'WHERE'		=> 'file_type=\'image\''
);
$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
$num_images = $forum_db->num_rows($result);

//Page Navigation
$forum_page['num_pages'] = ceil($num_images / $forum_user['disp_topics']);
$forum_page['page'] = (!isset($_GET['p']) || !is_numeric($_GET['p']) || $_GET['p'] <= 1 || $_GET['p'] > $forum_page['num_pages']) ? 1 : $_GET['p'];
$forum_page['start_from'] = $forum_user['disp_topics'] * ($forum_page['page'] - 1);
$forum_page['finish_at'] = min(($forum_page['start_from'] + $forum_user['disp_topics']), ($num_images));
$forum_page['items_info'] = generate_items_info($lang_pan_uploader['Images'], ($forum_page['start_from'] + 1), $num_images);

if($forum_page['num_pages'] > 1)
	$forum_page['page_post']['paging'] = '<p class="paging"><span class="pages">'.$lang_pan_uploader['Pages'].'</span> '.paginate($forum_page['num_pages'], $forum_page['page'], $forum_url['pan_uploader_images'], $lang_common['Paging separator'], $sort_by, 1).'</p>';
	
if ($num_images > 1)
{
	$pan_drafts_sort_js = 'function panUploaderGetUrl() {var v={};var parts=window.location.href.replace(/[?&]+([^=&]+)=([^&]*)/gi, function(m,key,value) {v[key]=value;}); return v;} function panUploaderSortBy(sel){var s=sel.value; var g=panUploaderGetUrl()["sort_by"]; var h=window.location.href; h=h.replace(g,s); window.location.replace(h);}';
	$forum_loader->add_js($pan_drafts_sort_js, array('type' => 'inline', 'weight' => 100, 'group' => FORUM_JS_GROUP_SYSTEM));
}

if(isset($_POST['delete_image']))
{
	$image_link = $_POST['image_link'];
	
	//STERT function deleting images from message
	$query = array(
		'SELECT'	=> 'real_name',
		'FROM'		=> 'uploaded_files',
		'WHERE'		=> 'file_url=\''.$forum_db->escape( $image_link ).'\''
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	$del_file_info = $forum_db->fetch_assoc($result);
	
	$query = array(
		'SELECT'	=> 'id, message',
		'FROM'		=> 'posts',
		'WHERE'		=> 'message '.($db_type == 'pgsql' ? 'ILIKE' : 'LIKE').' \''.$forum_db->escape('%'.$image_link.'%').'\''
	);
	$result1 = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	
	while ($edited_post = $forum_db->fetch_assoc($result1))
	{
		$query = array(
			'UPDATE'	=> 'posts',
			'SET'		=> 'message=\''.$forum_db->escape(str_replace('[img]'.$base_url.'/'.$image_link.'[/img]', '', $edited_post['message'])).'\'',
			'WHERE'		=> 'id=\''.$forum_db->escape($edited_post['id']).'\''
		);
		$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	}
	//END function deleting images from message
	
	$query = array(
		'DELETE'	=> 'uploaded_files',
		'WHERE'		=> 'file_url=\''.$forum_db->escape( $image_link ).'\''
	);
	$forum_db->query_build($query) or error(__FILE__, __LINE__);
	
	if (file_exists(FORUM_ROOT.$image_link))
		unlink(FORUM_ROOT.$image_link);
	
	$preview_link = str_replace('/images/', '/previews/', $image_link);
	if (file_exists(FORUM_ROOT.$preview_link))
		unlink(FORUM_ROOT.$preview_link);

	$message = sprintf($lang_pan_uploader['Image deleted'], $del_file_info['real_name']);
	$forum_flash->add_info($message);
	redirect(forum_link($forum_url['pan_uploader_images']), $message);
}
	
// Load the admin.php language files
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_common.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_index.php';

$forum_page['crumbs'] = array(
	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
	array($lang_pan_uploader['Uploader'], forum_link($forum_url['pan_uploader'])),
	$lang_pan_uploader['Images']
);

define('FORUM_PAGE_SECTION', 'pan_uploader');
define('FORUM_PAGE', 'admin-pan_uploader_images');
require FORUM_ROOT.'header.php';

// START SUBST - <!-- forum_main -->
ob_start();

if ($num_images > 0) 
{
	if ($sort_by == 'loaded_asc')
		$sort_query = 'file_loaded ASC';
	else if ($sort_by == 'loaded_desc')
		$sort_query = 'file_loaded DESC';
	else if ($sort_by == 'size_asc')
		$sort_query = 'file_size ASC';
	else if ($sort_by == 'size_desc')
		$sort_query = 'file_size DESC';
	else
		$sort_query = 'file_loaded DESC';

	($hook = get_hook('pan_uploader_images_sort_by')) ? eval($hook) : null;

	$query = array(
		'SELECT'	=> 'file_url, file_loaded, file_size',
		'FROM'		=> 'uploaded_files',
		'WHERE'		=> 'file_type=\'image\'',
		'ORDER BY'	=> ''.$sort_query,
		'LIMIT'		=> $forum_page['start_from'].', '.$forum_user['disp_topics']
	);
	($hook = get_hook('pan_uploader_images_get_image_info')) ? eval($hook) : null;
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	
?>
	<div class="main-content main-frm">
	
		<div class="main-subhead" style="border:unset; border-bottom: 1px solid #d3dae1;">
			<h2 class="hn"><span><?php echo sprintf($lang_pan_uploader['Uploaded images'], $num_images) ?></span></h2>
<?php if ($num_images > 1) { ?>
		<span style="position:relative;float:right;margin: -27px 0 0 1px;">
			<select onchange="panUploaderSortBy(this)" url="<?php echo forum_link($forum_url['pan_uploader_images']) ?>">
				<option value="loaded_desc" <?php echo ($_GET['sort_by'] == 'loaded_desc') ? ' selected="selected"' : '' ?>><?php echo $lang_pan_uploader['sort_date_desc'] ?></option>
				<option value="loaded_asc" <?php echo ($_GET['sort_by'] == 'loaded_asc') ? ' selected="selected"' : '' ?>><?php echo $lang_pan_uploader['sort_date_asc'] ?></option>
				<option value="size_desc" <?php echo ($_GET['sort_by'] == 'size_desc') ? ' selected="selected"' : '' ?>><?php echo $lang_pan_uploader['sort_size_desc'] ?></option>
				<option value="size_asc" <?php echo ($_GET['sort_by'] == 'size_asc') ? ' selected="selected"' : '' ?>><?php echo $lang_pan_uploader['sort_size_asc'] ?></option>
				
			</select>
		</span>
<?php } ?>
		</div>
<style>
/*
.uploader-img img {
	-moz-transition: all 1s ease-out;
	-o-transition: all 1s ease-out;
	-webkit-transition: all 1s ease-out;
}
.uploader-img img:hover{
	-webkit-transform: scale(2);
	-moz-transform: scale(2);
	-o-transform: scale(2);
	position: absolute;
}
*/
.main-frm .ct-group td {
	height: 65px;
	padding: 0.1em;
}
table .tc3, table .tc4, table .tc5 {text-align: center;}
@media screen and (max-width: 600px) {
	table .tc2 {display:none;}
}
</style>
		
		<table>
			<thead>
				<tr>
					<th class="tc1" style="width:80px;"><?php echo $lang_pan_uploader['Image'] ?></th>
					<th class="tc2"><?php echo $lang_pan_uploader['Copy link'] ?></th>
					<th class="tc3" style="width:15%;"><?php echo $lang_pan_uploader['Uploaded'] ?></th>
					<th class="tc5" style="width:15%;"><?php echo $lang_pan_uploader['Size'] ?></th>
					<th class="tc5" style="width:7%;"><?php echo $lang_pan_uploader['Delete'] ?></th>
				</tr>
			</thead>
			<tbody>
<?php

	$i = isset($_GET['p']) ? $forum_user['disp_topics'] * ($forum_page['page']-1)+1 : '1';
	while ($image = $forum_db->fetch_assoc($result)) {
?>
			<form action="<?php echo forum_link($forum_url['pan_uploader_images']) ?>" accept-charset="utf-8" method="post" class="frm-form">

					<input type="hidden" value="<?php echo generate_form_token(forum_link($forum_url['pan_uploader_images'])) ?>" name="csrf_token" />
					<td class="tc1"><a href="<?php echo forum_link($image['file_url']) ?>" target="_blank"><img src="<?php echo forum_link($image['file_url']) ?>" width="auto" height="60px"/></a></td>
					<td class="tc2"><input type="text" value="<?php echo forum_link($image['file_url']) ?>" size="81" onfocus="javascript:this.select()" /> </td>
					<td class="tc3"><?php echo format_time($image['file_loaded']); ?></td>
					<td class="tc4"><?php echo  round($image['file_size']/1024, 1).' kB'; ?></td>
					<input type="hidden" name="image_link" value="<?php echo $image['file_url']; ?>" />
					<td class="tc5"><input type="submit" name="delete_image" value="X" onclick="return confirm('<?php echo $lang_pan_uploader['Delete image'] ?>')"/></td>
				</tr>

			</form>
<?php
	$i++;
	}
?>

			</tbody>
		</table>
		
	</div>

<?php
	} else {
?>
	<div class="main-content main-frm">
		<div class="ct-box" style="background:#FEFFE6 none repeat scroll 0% 0%;">
			<p><strong><?php echo $lang_pan_uploader['No uploaded images'] ?></strong></p>
		</div>
	</div>
<?php
}

($hook = get_hook('pan_uploader_images_end')) ? eval($hook) : null;

$tpl_temp = forum_trim(ob_get_contents());
$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
ob_end_clean();
// END SUBST - <!-- forum_main -->

require FORUM_ROOT.'footer.php';