<?php

if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', '../../');
	
require FORUM_ROOT.'include/common.php';
require FORUM_ROOT.'include/common_admin.php';

if ($forum_user['g_id'] != FORUM_ADMIN)
	message($lang_common['No permission']);

($hook = get_hook('pan_uploader_options_start')) ? eval($hook) : null;

// Load the admin.php language files
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_common.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_index.php';

if (file_exists(FORUM_ROOT.'extensions/pan_uploader/lang/'.$forum_user['language'].'/pan_uploader.php'))
	require FORUM_ROOT.'extensions/pan_uploader/lang/'.$forum_user['language'].'/pan_uploader.php';
else
	require FORUM_ROOT.'extensions/pan_uploader/lang/English/pan_uploader.php';

if(isset($_POST['clear_unclaimed_files']) ) 
{
	//Start func delete unclaimed files
	$query = array(
		'SELECT'	=> 'file_url',
		'FROM'		=> 'uploaded_files',
		'WHERE'		=> 'file_type=\'file\'' AND 'file_type=\'image\''
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);

	$saved_files = array();
	while ($s_files = $forum_db->fetch_assoc($result)) {
		$saved_files[] = FORUM_ROOT.$s_files['file_url'];
	}
	
	pan_uploader_uploads_list_files(FORUM_ROOT.'uploads/images', $all_files);
	
	$t_all_images = $all_files;
	unset($all_files);
	
	pan_uploader_uploads_list_files(FORUM_ROOT.'uploads/files', $all_files);
	
	if (is_array($t_all_images) && is_array($all_files)) {
	    $all_items = array_merge ($t_all_images, $all_files);
	    $unclaimed_files = array_diff($all_items, $saved_files);
	} else if (is_array($t_all_images)) {
		$unclaimed_files = array_diff($t_all_images, $saved_files);
	} else if (is_array($all_files)) {
		$unclaimed_files = array_diff($all_files, $saved_files);
	}
	
	if (!empty($unclaimed_files)) {
	    foreach($unclaimed_files as $uf){
            unlink($uf);
        }
	}
	//End func delete unclaimed files

	$message = $lang_pan_uploader['Unclaimed files deleted'];
	$forum_flash->add_info($message);
	redirect(forum_link($forum_url['pan_uploader']), $message);
}
	
if(isset($_POST['save_config']) )
{
	$form = array_map('trim', $_POST['form']);
	($hook = get_hook('pan_uploader_options_save_config')) ? eval($hook) : null;
	pan_update_options( $form );
	
	$message = $lang_pan_uploader['Settings updated'];
	$forum_flash->add_info($message);
	redirect(forum_link($forum_url['pan_uploader']), $message);

}

$forum_page['crumbs'] = array(
	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
	$lang_pan_uploader['Uploader']
);

$forum_page['item_count'] = $forum_page['fld_count'] = 0;

define('FORUM_PAGE_SECTION', 'pan_uploader');
define('FORUM_PAGE', 'admin-pan_uploader');
require FORUM_ROOT.'header.php';

// START SUBST - <!-- forum_main -->
ob_start();
?>

	<div class="main-subhead">
		<h2 class="hn"><span><?php echo $lang_pan_uploader['Uploader common settings'] ?></span></h2>
	</div>

	<div class="main-content main-frm">

		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['pan_uploader']) ?>">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_uploader'])) ?>" />
			</div>
			
			<div class="content-head">
				<h2 class="hn"><span><?php echo $lang_pan_uploader['Common settings'] ?></span></h2>
			</div>
			
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_uploader_img]" value="0" />
					<span class="fld-input"><input type="checkbox" id="fld<?php echo ++$forum_page['fld_count'] ?>" name="form[pan_uploader_img]" value="1"<?php if ($forum_config['o_pan_uploader_img'] == '1') echo ' checked="checked"' ?> /></span>
					<label for="fld<?php echo $forum_page['fld_count'] ?>"><span><?php echo $lang_pan_uploader['Images'] ?></span><?php echo $lang_pan_uploader['Allow to upload images'] ?></label>
				</div>
			</div>
			
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_uploader_file]" value="0" />
					<span class="fld-input"><input type="checkbox" id="fld<?php echo ++$forum_page['fld_count'] ?>" name="form[pan_uploader_file]" value="1"<?php if ($forum_config['o_pan_uploader_file'] == '1') echo ' checked="checked"' ?> /></span>
					<label for="fld<?php echo $forum_page['fld_count'] ?>"><span><?php echo $lang_pan_uploader['Attachments'] ?></span><?php echo $lang_pan_uploader['Allow attach files'] ?></label>
				</div>
			</div>
			
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box text">
					<label for="fld"><span><?php echo $lang_pan_uploader['Lifetime of files'] ?></span><small><?php echo $lang_pan_uploader['Maximum lifetime of files while composing a message'] ?></small></label><br />
					<span class="fld-input"><input type="number" id="fld<?php echo $forum_page['fld_count'] ?>" name="form[pan_uploader_max_time]" size="10" maxlength="6" value="<?php echo forum_htmlencode($forum_config['o_pan_uploader_max_time']) ?>" /></span>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box select">
					<label for="fld"><span><?php echo $lang_pan_uploader['file_structure'] ?></span><small><?php echo $lang_pan_uploader['file_structure_i'] ?></small></label><br />
					<span class="fld-input"><select id="fld" name="form[pan_uploader_file_structure]">

<?php
$file_structure = array(
	'1' => $lang_pan_uploader['file_structure_date'],
	'2' => $lang_pan_uploader['file_structure_user_id'],
//	'3' => $lang_pan_uploader['file_structure_fid_tid'],
);
($hook = get_hook('pan_uploader_options_new_structure')) ? eval($hook) : null;

foreach ($file_structure as $key => $value)
{
	if ($forum_config['o_pan_uploader_file_structure'] == $key)
		echo "\t\t\t\t\t\t\t\t".'<option value="'.$key.'" selected="selected">'.$value.'</option>'."\n";
	else
		echo "\t\t\t\t\t\t\t\t".'<option value="'.$key.'">'.$value.'</option>'."\n";
}

?>
					</select></span>
				</div>
			</div>
			
<?php ($hook = get_hook('pan_uploader_options_common_form_end')) ? eval($hook) : null; ?>
			
			<div class="content-head">
				<h2 class="hn"><span><?php echo $lang_pan_uploader['Settings uploaded images'] ?></span></h2>
			</div>
			
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_uploader_img_resize]" value="0" />
					<span class="fld-input"><input type="checkbox" id="fld<?php echo ++$forum_page['fld_count'] ?>" name="form[pan_uploader_img_resize]" value="1"<?php if ($forum_config['o_pan_uploader_img_resize'] == '1') echo ' checked="checked"' ?> /></span>
					<label for="fld<?php echo $forum_page['fld_count'] ?>"><span><?php echo $lang_pan_uploader['Resize images'] ?></span><?php echo $lang_pan_uploader['Enable resize images'] ?></label>
				</div>
			</div>
			
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box text">
					<label for="fld"><span><?php echo $lang_pan_uploader['img_quality'] ?></span><small><?php echo $lang_pan_uploader['img_quality_i'] ?></small></label><br />
					<span class="fld-input"><input type="number" id="fld<?php echo $forum_page['fld_count'] ?>" name="form[pan_uploader_img_quality]" size="10" maxlength="2" value="<?php echo forum_htmlencode($forum_config['o_pan_uploader_img_quality']) ?>" /></span>
				</div>
			</div>
			
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box text">
					<label for="fld"><span><?php echo $lang_pan_uploader['Image width'] ?></span><small><?php echo $lang_pan_uploader['Maximum image width'] ?></small></label><br />
					<span class="fld-input"><input type="number" id="fld<?php echo $forum_page['fld_count'] ?>" name="form[pan_uploader_img_width]" size="10" maxlength="6" value="<?php echo forum_htmlencode($forum_config['o_pan_uploader_img_width']) ?>" /></span>
				</div>
			</div>
			
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box text">
					<label for="fld"><span><?php echo $lang_pan_uploader['Image height'] ?></span><small><?php echo $lang_pan_uploader['Maximum image height'] ?></small></label><br />
					<span class="fld-input"><input type="number" id="fld<?php echo $forum_page['fld_count'] ?>" name="form[pan_uploader_img_height]" size="10" maxlength="6" value="<?php echo forum_htmlencode($forum_config['o_pan_uploader_img_height']) ?>" /></span>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span><?php echo $lang_pan_uploader['Image types'] ?></span><small><?php echo $lang_pan_uploader['Allowed extensions images'] ?></small></label><br />
					<span class="fld-input"><input type="text" id="fld<?php echo $forum_page['fld_count'] ?>" name="form[pan_uploader_img_types]" size="50" value="<?php echo forum_htmlencode($forum_config['o_pan_uploader_img_types']) ?>" /></span>
				</div>
			</div>
			
<?php ($hook = get_hook('pan_uploader_options_images_form_end')) ? eval($hook) : null; ?>
			
			<div class="content-head">
				<h2 class="hn"><span><?php echo $lang_pan_uploader['Settings uploaded files'] ?></span></h2>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span><?php echo $lang_pan_uploader['File size'] ?></span><small><?php echo $lang_pan_uploader['Maximum file size'] ?></small></label><br />
					<span class="fld-input"><input type="number" id="fld<?php echo $forum_page['fld_count'] ?>" name="form[pan_uploader_file_size]" size="10" maxlength="6" value="<?php echo forum_htmlencode($forum_config['o_pan_uploader_file_size']) ?>" /></span>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span><?php echo $lang_pan_uploader['File types'] ?></span><small><?php echo $lang_pan_uploader['Allowed extensions files'] ?></small></label><br />
					<span class="fld-input"><input type="text" id="fld<?php echo $forum_page['fld_count'] ?>" name="form[pan_uploader_file_types]" size="50" value="<?php echo forum_htmlencode($forum_config['o_pan_uploader_file_types']) ?>" /></span>
				</div>
			</div>

<?php ($hook = get_hook('pan_uploader_options_pre_submit')) ? eval($hook) : null; ?>

			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="save_config" value="<?php echo $lang_pan_uploader['Save'] ?>" /></span>

<!--// Uncomment to check and clear from unused files in messages.
				<span class="submit"><input type="submit" name="clear_unclaimed_files" value="<?php echo $lang_pan_uploader['Delete unclaimed files'] ?>" onclick="return confirm('<?php echo $lang_pan_uploader['Delete unclaimed files'] ?>?')"/></span>
-->

			</div>

		</form>
	</div>


<?php

($hook = get_hook('pan_uploader_options_end')) ? eval($hook) : null;

$tpl_temp = forum_trim(ob_get_contents());
$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
ob_end_clean();
// END SUBST - <!-- forum_main -->

require FORUM_ROOT.'footer.php';